Subject: [Din] An Architecture for a Public Identity Infrastructure Based on DNS and OpenID Connect

From: "Dirk Kutscher" <[email-masked]>
Date: Sat, 17 Mar 2018 17:59:12 +0000

This might be of interest to some of you, in case you haven’t seen it 
already:

The following document describes an architecture for an open, global, 
federated Public Identity Infrastructure (PIDI), based on the Domain 
Name System (DNS) and on the OpenID Connect framework built over the 
OAuth protocol.

https://tools.ietf.org/id/draft-bertola-dns-openid-pidi-architecture-00.html

Dirk